#ifndef _GEODETIC
#define _GEODETIC

#define SPHERE 0
#define ANDOYER 1
#define SODANO 2

class geodetic {
  private:
    double distance, bearing;
    double Lat1, Lat2, coLat1, Lon1, coLat2, Lon2;
    double v, diff;
    int model;
    void compute_Sphere();
    void compute_Andoyer();
    void compute_Sodano();
    double SodanoAngle();
    double SodanoDistance();
  public:
    geodetic( int model = SPHERE );
    geodetic( double, double, double, double, int model = SPHERE );
    ~geodetic(){};
    void Pairs( double, double, double, double );
    void P1( double, double );
    void P2( double, double );
    void compute();
    double Bearing();
    double Distance();
    void SetModel( int );
    int GetModel();
};

#endif
