#ifndef MAIDENHEAD_H
#define MAIDENHEAD_H

#include <iostream>
#include <string>

using namespace std;

class Maidenhead {
private:
	double	lat;
	double	lon;
	double	latDeg;
	double	latMin;
	double	lonDeg;
	double	lonMin;
	bool	south;
	bool	west;
	string	strMH;
	void	makeLat();
	void	makeLon();
	
public:
	Maidenhead();
	~Maidenhead() {};
	void	Lat(double deg, double min = 0.0);
	double	Lat() { return lat - 90.0;}
	void	Lon(double deg, double min = 0.0);
	double	Lon() { return lon - 180.0;}
	void	LatLon(double degLat, double degLon);
	void	LatLon2(double degLat, double minLat, double degLon, double minLon);
	void	South(bool b) { south = b; makeLat();}
	void	West(bool b) {west = b; makeLon();}

	double	LatDeg() { return latDeg;}
	double  LatMin() { return latMin;}
	bool	South() { return south;}

	double	LonDeg() { return lonDeg;}
	double	LonMin() { return lonMin;}
	bool	West() { return west;};
	
	void LL_to_MH();
	void MH_to_LL();

	string MH() { return strMH;}
	void MH(string mh) { strMH = mh;}
	
};

#endif
